MapR Installer Support Matrix

This matrix shows the operating systems that are supported by the MapR Installer.

OS Version Support

Release Version/Installer Version Installer 1.13.0.0 Supported Installer 1.12.0.0 Supported Installer 1.11.0.0 Supported Installer 1.10.0 Supported Installer 1.9.0 Supported Installer 1.8.0 Supported Installer 1.7 Supported
RedHat / CentOS (64bit) 7.8 No No No No No No No
7.7 Yes No No No No No No
7.6 Yes No No No No No No
7.5 Yes Yes Yes Yes No No No
7.4 Yes Yes Yes Yes Yes Yes Yes
7.3 Yes Yes Yes Yes Yes Yes Yes
6.10 No* No* Yes Yes Yes Yes Yes
6.9 No* No* Yes Yes Yes Yes Yes
6.8 No* No* Yes Yes Yes Yes Yes
6.7 No* No* Yes Yes Yes Yes Yes
6.6 No* No* Yes Yes Yes Yes Yes
6.5 No* No* Yes Yes Yes Yes Yes
Ubuntu (64bit) 18.04 Yes No No No No No No
16.04 Yes Yes Yes Yes Yes Yes Yes
14.04** Yes Yes Yes Yes Yes Yes Yes
12.04 Yes Yes Yes Yes Yes Yes Yes
11.04 No No No No No No No
SuSe (64bit) 12 SP3 Yes Yes Yes Yes No No No
12 SP2 Yes Yes Yes Yes Yes Yes Yes
12 SP1 Yes Yes Yes Yes Yes Yes Yes
11 SP3 Yes Yes Yes Yes Yes Yes Yes
11 SP2 No No No No No No No
11 SP1 No No No No No No No

*MapR Installer only supports upgrades for this OS version. See Selecting an Installer Version to Use.

**Before using the MapR Installer to install MapR 6.0 or later on Ubuntu 14.04, you must upgrade to Java 1.8 on the cluster nodes. See IN-553 in MapR Installer Known Issues.

MapR Version Support

Release Version/Installer Version Installer 1.13.0.0 Supported Installer 1.12.0.0 Supported Installer 1.11.0.0 Supported Installer 1.10.0 Supported Installer 1.9.0 Supported Installer 1.8.0 Supported Installer 1.7 Supported
MapR 6.1.0 Yes Yes Yes Yes No No No
MapR 6.0.1 Yes Yes Yes Yes Yes No No
MapR 6.0.0 Yes Yes Yes Yes Yes Yes Yes
MapR 5.2.x No No*** Yes Yes Yes Yes Yes
MapR 5.1 No No*** Yes Yes Yes Yes Yes
MapR 5.0 No No*** Yes Yes Yes Yes Yes

***MapR Installer only supports upgrades for this OS version. See Selecting an Installer Version to Use.

Change Control Notes

  • Updated June 17, 2020 (rows added for Red Hat / CentOS 7.8). Changed Red Hat / CentOS 6.x values from Yes to No where only upgrades are supported.
  • Updated November 30, 2019 (Installer 1.13.0.0 added, rows for Red Hat / CentOS 7.7 and Ubuntu 18.04 added).
  • Updated May 1, 2019 (Installer 1.12.0.0 added, rows for Red Hat / CentOS 7.0, 7.1, and 7.2 removed).
  • Updated January 2, 2019 (Installer 1.11.0.0 added).
  • Updated Jul 27, 2018 (Installer 1.10.0 added).
  • Updated March 30, 2018 (Installer 1.9.0 added). Corrected support for Ubuntu 11.04.
  • Updated January 7, 2018 (Installer 1.8.0 added).
  • Updated September 8, 2017 (Installer 1.7 added, MapR 6.0.x added).
  • Updated July 31, 2017 (Installer 1.6 added, SUSE 12 SP2 support added, older installer information removed).
  • Updated April 6, 2017 (Installer 1.5 added, RedHat / CentOS 7.3 added, SUSE 12 SP1 added, MapR 2.x, 3.x, and 4.x removed).
  • Updated December 8, 2016 (Installer 1.4 added).
  • Updated August 19, 2016 (Installer 1.3 and MapR 5.2 added).
  • Updated February 5, 2016 (Installer 1.2 and MapR 5.1 added).